<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="pt">
<head>
<!-- Generated by javadoc (1.8.0_221) on Tue Feb 18 11:40:32 GMT 2020 -->
<title>H-Index</title>
<meta name="date" content="2020-02-18">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="H-Index";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-7.html">Prev Letter</a></li>
<li><a href="index-9.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-8.html" target="_top">Frames</a></li>
<li><a href="index-8.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">L</a>&nbsp;<a href="index-11.html">M</a>&nbsp;<a href="index-12.html">N</a>&nbsp;<a href="index-13.html">O</a>&nbsp;<a href="index-14.html">P</a>&nbsp;<a href="index-15.html">Q</a>&nbsp;<a href="index-16.html">R</a>&nbsp;<a href="index-17.html">S</a>&nbsp;<a href="index-18.html">T</a>&nbsp;<a href="index-19.html">U</a>&nbsp;<a href="index-20.html">V</a>&nbsp;<a href="index-21.html">W</a>&nbsp;<a name="I:H">
<!--   -->
</a>
<h2 class="title">H</h2>
<dl>
<dt><span class="memberNameLink"><a href="../ArrayListPackage/ArrayList.arrayListIterator.html#hasNext--">hasNext()</a></span> - Method in class ArrayListPackage.<a href="../ArrayListPackage/ArrayList.arrayListIterator.html" title="class in ArrayListPackage">ArrayList.arrayListIterator</a></dt>
<dd>
<div class="block">Returns true if the next element isn't null false otherwise</div>
</dd>
<dt><span class="memberNameLink"><a href="../Game/GameDirectedGraph.html#hasPathBetween-T-T-">hasPathBetween(T, T)</a></span> - Method in class Game.<a href="../Game/GameDirectedGraph.html" title="class in Game">GameDirectedGraph</a></dt>
<dd>
<div class="block">Validate if there's at least on possible path between 2 given vertexes</div>
</dd>
<dt><span class="memberNameLink"><a href="../Game/Game.html#health">health</a></span> - Variable in class Game.<a href="../Game/Game.html" title="class in Game">Game</a></dt>
<dd>
<div class="block">Initial health</div>
</dd>
<dt><span class="memberNameLink"><a href="../Game/Score.html#health">health</a></span> - Variable in class Game.<a href="../Game/Score.html" title="class in Game">Score</a></dt>
<dd>
<div class="block">Health left from the play</div>
</dd>
<dt><a href="../LinkedHeapPackage/HeapADT.html" title="interface in LinkedHeapPackage"><span class="typeNameLink">HeapADT</span></a>&lt;<a href="../LinkedHeapPackage/HeapADT.html" title="type parameter in HeapADT">T</a>&gt; - Interface in <a href="../LinkedHeapPackage/package-summary.html">LinkedHeapPackage</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../LinkedHeapPackage/LinkedHeap.html#heapifyAdd--">heapifyAdd()</a></span> - Method in class LinkedHeapPackage.<a href="../LinkedHeapPackage/LinkedHeap.html" title="class in LinkedHeapPackage">LinkedHeap</a></dt>
<dd>
<div class="block">Reorders this heap after adding a node.</div>
</dd>
<dt><span class="memberNameLink"><a href="../LinkedHeapPackage/LinkedHeap.html#heapifyRemove--">heapifyRemove()</a></span> - Method in class LinkedHeapPackage.<a href="../LinkedHeapPackage/LinkedHeap.html" title="class in LinkedHeapPackage">LinkedHeap</a></dt>
<dd>
<div class="block">Reorders this heap after removing the root element.</div>
</dd>
<dt><a href="../LinkedHeapPackage/HeapNode.html" title="class in LinkedHeapPackage"><span class="typeNameLink">HeapNode</span></a>&lt;<a href="../LinkedHeapPackage/HeapNode.html" title="type parameter in HeapNode">T</a>&gt; - Class in <a href="../LinkedHeapPackage/package-summary.html">LinkedHeapPackage</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../LinkedHeapPackage/HeapNode.html#HeapNode-T-">HeapNode(T)</a></span> - Constructor for class LinkedHeapPackage.<a href="../LinkedHeapPackage/HeapNode.html" title="class in LinkedHeapPackage">HeapNode</a></dt>
<dd>
<div class="block">Creates a new heap node with the specified data.</div>
</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">L</a>&nbsp;<a href="index-11.html">M</a>&nbsp;<a href="index-12.html">N</a>&nbsp;<a href="index-13.html">O</a>&nbsp;<a href="index-14.html">P</a>&nbsp;<a href="index-15.html">Q</a>&nbsp;<a href="index-16.html">R</a>&nbsp;<a href="index-17.html">S</a>&nbsp;<a href="index-18.html">T</a>&nbsp;<a href="index-19.html">U</a>&nbsp;<a href="index-20.html">V</a>&nbsp;<a href="index-21.html">W</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-7.html">Prev Letter</a></li>
<li><a href="index-9.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-8.html" target="_top">Frames</a></li>
<li><a href="index-8.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
